aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-09-05 17:04:45 +0200
committerMichał Górny <mgorny@gentoo.org>2015-09-05 17:04:45 +0200
commitf87fb73d14dd0a7d3099ad235b826c793b16fecf (patch)
tree4ce4d51e76bdb32df86a74b6524636ca9a4f57fc /fetch-git-reports.sh
parentpackages-inheriting-eclasses.py: Update for pkgcore-0.9.1 (diff)
downloadqa-scripts-f87fb73d14dd0a7d3099ad235b826c793b16fecf.tar.gz
qa-scripts-f87fb73d14dd0a7d3099ad235b826c793b16fecf.tar.bz2
qa-scripts-f87fb73d14dd0a7d3099ad235b826c793b16fecf.zip
Add a script to fetch remote check reports from git repos
Diffstat (limited to 'fetch-git-reports.sh')
-rwxr-xr-xfetch-git-reports.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/fetch-git-reports.sh b/fetch-git-reports.sh
new file mode 100755
index 0000000..892b5ac
--- /dev/null
+++ b/fetch-git-reports.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# (c) 2015 Michał Górny
+# 2-clause BSD licensed
+
+set -e -x
+
+outputdir=${1}
+
+[[ ${outputdir} ]]
+cd "${outputdir}"
+
+for repo in gentoo-ci gpyutils repos; do
+ [[ -d ${repo} ]] || git clone --depth=1 "git://anongit.gentoo.org/report/${repo}.git"
+
+ cd "${repo}"
+ git pull
+ cd - >/dev/null
+done